THURSDAY, APR 10, 2014

Social Explorer Updated to Fix OpenSSL Heartbleed Security Bug


lock_heartbleedfix_sqSocial Explorer, along with many other websites (perhaps as many as two-thirds) was affected by the Heartbleed security bug, a simple code error in the widely used web security measure known as OpenSSL.

Please be assured that we have fixed the issue so we no longer are affected.  However, we recommend that users with individual/institutional accounts change their user passwords at their earliest convenience.  To change your user password, visit the user settings.

For more details on the bug that affected virtually all major websites, we recommend this New York Times article, which also discusses general password change suggestions that may help you as you check your other kinds of accounts.

by admin
All posts